org.eclipse.eef

## Interface EEFRuleAuditDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFRuleAuditDescriptionImpl

    public interface EEFRuleAuditDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Rule Audit Description'.

The following features are supported:

- `Audit Expression`

See Also:
  `EefPackage.getEEFRuleAuditDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAuditExpression()` Returns the value of the 'Audit Expression' attribute.
`void` `setAuditExpression(java.lang.String value)` Sets the value of the '`Audit Expression`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getAuditExpression

    java.lang.String getAuditExpression()

Returns the value of the 'Audit Expression' attribute. The expression used to determine if a validation is valid or not.

Returns:
  the value of the 'Audit Expression' attribute.
See Also:
  `setAuditExpression(String)`, `EefPackage.getEEFRuleAuditDescription_AuditExpression()`

#### setAuditExpression

    void setAuditExpression(java.lang.String value)

Sets the value of the '`Audit Expression`' attribute.

Parameters:
  `value` - the new value of the 'Audit Expression' attribute.
See Also:
  `getAuditExpression()`